
daemon daemon/NetworkManager {
    need = system/initial system/mountfs daemon/dbus
    pid_file = /var/run/NetworkManager
    daemon {

    test -f /etc/default/NetworkManager && . /etc/default/NetworkManager
    modprobe capability >/dev/null 2>&1 || true

    test -d /var/lib/NetworkManager || mkdir -p /var/lib/NetworkManager
    chown -R bind:bind /var/lib/NetworkManager
    chmod 755 /var/lib/NetworkManager

    exec /usr/sbin/NetworkManager
    exit 1
    }
}
