


daemon daemon/ifplugd/* {
	#*/
	need = system/mountfs system/modules
	use = system/static-modules system/coldplug
	daemon = /usr/sbin/ifplugd
	daemon_args = -i ${NAME}
	pid_file = /var/run/ifplugd.${NAME}.pid
}

service daemon/ifplugd {

	need = system/mountfs system/modules
	use = system/static-modules system/coldplug

start {
for IF in `cat /proc/net/dev | awk 'BEGIN { FS=":" } /eth|wlan/ { gsub(/\W/,"",$1); print $1;}' ` ; do
    /sbin/ngc -u daemon/ifplugd/$IF &> /dev/null
done
}

stop {
for IF in `cat /proc/net/dev | awk 'BEGIN { FS=":" } /eth|wlan/ { gsub(/\W/,"",$1); print $1;}'` ; do
    /sbin/ngc -d daemon/ifplugd/$IF &> /dev/null
done
}
}
