# sendmail      This shell script takes care of starting and stopping
#               sendmail.
#
# description: Sendmail is a Mail Transport Agent, which is the program \
#              that moves mail from one machine to another.

daemon daemon/sendmail {
	need = system/initial net/lo
	require_network
daemon {
	if test -x /usr/bin/make -a -f /etc/mail/Makefile ; then
	  /usr/bin/make all -C /etc/mail -s > /dev/null
	else
	  for i in virtusertable access domaintable mailertable ; do
	    if [ -f /etc/mail/$i ] ; then
		/usr/sbin/makemap hash /etc/mail/$i < /etc/mail/$i
	    fi
	  done
	fi
	/usr/bin/newaliases > /dev/null 2>&1
	
	exec /usr/sbin/sendmail -q1h -bD
}
}

