daemon daemon/udhcpc/* {
	#*/
	need = system/initial system/mountroot system/modules system/hostname
	use = system/static-modules system/coldplug
	pid_file = /var/run/udhcpc-${NAME}.pid
	#respawn
	env_file = /etc/conf.d/net
	
	daemon {
		eval opts=\" \$\{udhcpc_${NAME}\} \"

		h=$( hostname )
		[[ -n ${h} && ${h} != "(none)" && ${h} != "localhost" \
			&& ${opts} != *' -h '* && ${d} != *' nohostname '* ]] \
				&& opts="${opts} --hostname=${h}"
		exec /usr/sbin/udhcpc ${opts} --now --script=/lib/initng/scripts/net/udhcpc-wrapper --pidfile=/var/run/udhcpc-${NAME}.pid --interface=${NAME}
	}
}
