
service system/guarddog {
	need = system/initial
	start = /etc/rc.firewall
	
stop {
    if [ -x /sbin//sbin/iptables ]; then
        /sbin/iptables -P OUTPUT ACCEPT
        /sbin/iptables -P INPUT ACCEPT
        /sbin/iptables -P FORWARD ACCEPT
        /sbin/iptables -F
        /sbin/iptables -X
        exit 0;
    fi
    if [ -x /sbin//sbin/ipchains ]; then
        /sbin/ipchains -P output ACCEPT
        /sbin/ipchains -P input ACCEPT
        /sbin/ipchains -P forward ACCEPT
        /sbin/ipchains -F
        /sbin/ipchains -X
        exit 0;
    fi
    /bin/echo "Cannot find /sbin//sbin/ipchains or /sbin//sbin/iptables"
    exit 1
}
}
