service system/issue {
	need = system/initial system/mountroot
start {
    distro="debian"
    arch=$(/bin/uname -m)
    a="a"
    case "$arch" in
	_a*) a="an";;
	_i*) a="an";;
    esac
    NUMPROC=`egrep -c "^cpu[0-9]+" /proc/stat`
    if [ "$NUMPROC" -gt "1" ]
    then
	SMP="$NUMPROC-processor "
	[ "$NUMPROC" = "2" ] && SMP="Dual-processor "
	if [ "$NUMPROC" = "8" -o "$NUMPROC" = "11" ]
	then
    	    a="an"
	else
	    a="a"
	fi
    fi
    /bin/echo $distro > /etc/issue
    /bin/echo "Kernel $(/bin/uname -r) on $a $SMP$(/bin/uname -m) (\l)" >> /etc/issue
    /bin/echo "Powered by initng, written by Jimmy Wennlund <jimmy.wennlund@gmail.com>" >> /etc/issue
    
    /bin/echo $distro > /etc/issue.net
    /bin/echo "Kernel $(/bin/uname -r) on $a $SMP$(/bin/uname -m)" >> /etc/issue.net
    /bin/echo "Powered by initng, written by Jimmy Wennlund <jimmy.wennlund@gmail.com>" >> /etc/issue.net
}
}
