daemon daemon/wpa_supplicant/* {
	need = system/mountfs
	pid_file = /var/run/wpa_supplicant-${NAME}.pid
	env_parse = /etc/initng/net/scripts/functions
    
	daemon {
		eval opts=\"\$\{wpa_supplicant_${ifvar}\} -i${iface} -c/etc/wpa_supplicant.conf -B\"
		[[ -f /usr/sbin/wpa_cli.action ]] \
			&& opts="${opts} -W -P/var/run/wpa_supplicant-${iface}.pid"
		/usr/sbin/wpa_supplicant ${opts}
		
		if [[ -f /usr/sbin/wpa_cli.action ]]; then
			/usr/sbin/ngc -u daemon/wpa_cli/${iface}
			exit 0
		fi

		source "${libdir}/wpa_supplicant"
		if ! wpa_supplicant_associate ; then
			/usr/sbin/wpa_cli -i${iface} terminate
			exit 1
		fi

		/usr/sbin/ngc -u net/${iface}
	}
	stop {
		/usr/bin/pkill -f "/usr/sbin/wpa_supplicant .* -i${NAME} "
	}
}
