
service system/makedev {
	need = system/initial system/mountfs system/bootmisc
	use = system/hdparm

start {


    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

    set -e
    test -L /dev/MAKEDEV || ln -fs /sbin/MAKEDEV /dev/MAKEDEV

    # create dvb-devices, if the dvb-directory allready exists, and 
    # no devfs is used (this a workaround for the changed major-number
    # of the dvb-devices, introduced in kernel 2.6.8, to be able to 
    # switch between kernels <= 2.6.7 and >= 2.6.8, without manual 
    # recreation of the devices (MAKEDEV dvb checks the kernel-version 
    # and uses the correct major-number))
	
    if [ ! -e /dev/.devfsd ]; then
        if [ -d /dev/dvb ]; then
    	    cd /dev && ./MAKEDEV dvb
        fi
    fi

}
}
