
service system/netmount {
	need = system/initial system/mountfs daemon/portmap
	require_network

start {
# Mount local filesystems in /etc/fstab.
/bin/echo "Mounting network filesystems ..."
/bin/mount -aFt afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
if [ "${?}" -ne 0 ]; then
    /bin/echo "Mounting failed, trying to mount network filesystems again ..."
    /bin/mount -at afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
    exit $?
fi
exit 0
}


stop {
# Mount local filesystems in /etc/fstab.
/bin/echo "Unmounting network filesystems ..."
/bin/umount -at afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
if [ "${?}" -ne 0 ]; then
    /bin/echo "Unmounting failed, trying to unmount network filesystems again ..."
    /bin/umount -aft afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
    exit $?
fi
exit 0
}
}
